Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class QueryBinder

    java.lang.Object
      org.hibernate.cfg.annotations.QueryBinder

    public abstract class QueryBinder

extends Object

Query binder

Author:
  Emmanuel Bernard

Constructor Summary
`QueryBinder()`

Method Summary
`static void` | `bindNativeQueries(NamedNativeQueries queriesAnn, ExtendedMappings mappings)`
`static void` | `bindNativeQueries(javax.persistence.NamedNativeQueries queriesAnn, ExtendedMappings mappings, boolean isDefault)`
`static void` | `bindNativeQuery(NamedNativeQuery queryAnn, ExtendedMappings mappings)`
`static void` | `bindNativeQuery(javax.persistence.NamedNativeQuery queryAnn, ExtendedMappings mappings, boolean isDefault)`
`static void` | `bindQueries(NamedQueries queriesAnn, ExtendedMappings mappings)`
`static void` | `bindQueries(javax.persistence.NamedQueries queriesAnn, ExtendedMappings mappings, boolean isDefault)`
`static void` | `bindQuery(NamedQuery queryAnn, ExtendedMappings mappings)`
`static void` | `bindQuery(javax.persistence.NamedQuery queryAnn, ExtendedMappings mappings, boolean isDefault)`
`static void` | `bindSqlResultsetMapping(javax.persistence.SqlResultSetMapping ann, ExtendedMappings mappings, boolean isDefault)`
`static void` | `bindSqlResultsetMappings(javax.persistence.SqlResultSetMappings ann, ExtendedMappings mappings, boolean isDefault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBinder

    public QueryBinder()

Method Detail

### bindQuery

    public static void bindQuery(javax.persistence.NamedQuery queryAnn,
                                 ExtendedMappings mappings,
                                 boolean isDefault)

### bindNativeQuery

    public static void bindNativeQuery(javax.persistence.NamedNativeQuery queryAnn,
                                       ExtendedMappings mappings,
                                       boolean isDefault)

### bindNativeQuery

    public static void bindNativeQuery(NamedNativeQuery queryAnn,
                                       ExtendedMappings mappings)

### bindQueries

    public static void bindQueries(javax.persistence.NamedQueries queriesAnn,
                                   ExtendedMappings mappings,
                                   boolean isDefault)

### bindNativeQueries

    public static void bindNativeQueries(javax.persistence.NamedNativeQueries queriesAnn,
                                         ExtendedMappings mappings,
                                         boolean isDefault)

### bindNativeQueries

    public static void bindNativeQueries(NamedNativeQueries queriesAnn,
                                         ExtendedMappings mappings)

### bindQuery

    public static void bindQuery(NamedQuery queryAnn,
                                 ExtendedMappings mappings)

### bindQueries

    public static void bindQueries(NamedQueries queriesAnn,
                                   ExtendedMappings mappings)

### bindSqlResultsetMappings

    public static void bindSqlResultsetMappings(javax.persistence.SqlResultSetMappings ann,
                                                ExtendedMappings mappings,
                                                boolean isDefault)

### bindSqlResultsetMapping

    public static void bindSqlResultsetMapping(javax.persistence.SqlResultSetMapping ann,
                                               ExtendedMappings mappings,
                                               boolean isDefault)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD